%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate ring

Name:           rust-ring
Version:        0.17.8
Release:    2%{?dist}
Summary:        Safe, fast, small crypto using Rust

License:        ISC AND MIT AND OpenSSL
URL:            https://crates.io/crates/ring
Source0:         %{crates_source}
Patch:          ring-fix-metadata-auto.diff
Patch:          ring-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe, fast, small crypto using Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/third_party/fiat/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dev_urandom_fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev_urandom_fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "dev_urandom_fallback" feature of the "%{crate}" crate.

%files       -n %{name}+dev_urandom_fallback-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+less-safe-getrandom-custom-or-rdrand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+less-safe-getrandom-custom-or-rdrand-devel %{_description}

This package contains library source intended for building other packages which
use the "less-safe-getrandom-custom-or-rdrand" feature of the "%{crate}" crate.

%files       -n %{name}+less-safe-getrandom-custom-or-rdrand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+slow_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slow_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "slow_tests" feature of the "%{crate}" crate.

%files       -n %{name}+slow_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "test_logging" feature of the "%{crate}" crate.

%files       -n %{name}+test_logging-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.8-1
- initial build
